Our WHMCS Themes are Fully Compatible with WHMCS 7.8
All of our WHMCS themes have been updated for full compatibility with WHMCS 7.8.0 - 7.8.3.

Please complete the form below to create a new support request. A member of our support team will review your request and get back to you as soon as possible.

For details of what is and isn’t covered by our support service, please refer to our support policy.